Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tapestry5.corelib
Enum ClientValidation

    java.lang.Object
      java.lang.Enum<ClientValidation>
          org.apache.tapestry5.corelib.ClientValidation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ClientValidation>

    public enum ClientValidation

extends java.lang.Enum<ClientValidation>

Controls if and how client-side form input validation occurs. For compatibility with Tapestry 5.1, a coercion from "true" to `BLUR` and from "false" to `NONE` are added (though these may be removed some time after Tapestry 5.2).

Since:
  5.2.2

Enum Constant Summary
`BLUR` Fields validate as the user tabs out of them ("onblur" client side event), as well as when the form submits.
`NONE` Client-side validation is disabled.
`SUBMIT` Fields only validate when the form submits (validation errors will prevent the form from actually submitting).

Method Summary
`static ClientValidation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ClientValidation[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BLUR

    public static final ClientValidation BLUR

  Fields validate as the user tabs out of them ("onblur" client side event), as well as when the form submits. This is the default behavior.

### SUBMIT

    public static final ClientValidation SUBMIT

  Fields only validate when the form submits (validation errors will prevent the form from actually submitting).

### NONE

    public static final ClientValidation NONE

  Client-side validation is disabled.

Method Detail

### values

    public static final ClientValidation[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ClientValidation c : ClientValidation.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ClientValidation valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2012 The Apache Software Foundation.